function deleteCookie(cookieID) {
    var d = new Date();
    document.cookie = "id=" + cookieID + "; expires=" + d.toGMTString() + "; path=/";
    window.location.reload(true);
}

function showTreeview() {
    document.cookie = "treeview=1; path=/";
    window.location.reload(true);
}

function hideTreeview() {
    document.cookie = "treeview=0; path=/";
    window.location.reload(true);
}

function alertAction(message, acUrl) {
  alert(message);
  window.location.href = encodeURIComponent(acUrl);
}

function confirmAction(message, acUrl, prependRoot) {
  if (confirm(message)) {
    if (!prependRoot) {
      window.location.href = encodeURIComponent(acUrl);
    } else {
      window.location.href = window.location.protocol + "//" + window.location.hostname + ":" + window.location.port + "/" + encodeURIComponent(acUrl);          
    }
  }
}

function promptQuery(message, text, url, qName, prependRoot) {
  var name = prompt(message, text);
  if (name!=null) {
    if (!prependRoot) {
      window.location.href = encodeURIComponent(url) + '&amp;' + qName + '=' + encodeURIComponent(name);
    } else {
      window.location.href = window.location.protocol + "//" + window.location.hostname + ":" + window.location.port + "/" + encodeURIComponent(url) + '&amp;' + qName + '=' + encodeURIComponent(name);
    }
  }
}

function setOverwrite(qAction, qry) {
  if (document.uploadFile.overwrite.checked == true) {
    document.uploadFile.action = document.uploadFile.action + '?' + qAction + '=' + qry;
  }
}

function setMultiSelect(action, qAction, qry) {
  setFileNamesValue();
  document.multiSelect.action = action + '?' + qAction + '=' + qry;
}

function setMultiSelectConfirm(message, action, qAction, qry) {
  if (confirm(message)) {
    setMultiSelect(action, qAction, qry)
  }
}

function setMultiSelectPromptQuery(message, text, action, qAction, qry, qName) {
  var name = prompt(message, text);
  if (name!=null) {
    setFileNamesValue();
    document.multiSelect.action = action + '?' + qAction + '=' + qry + '&amp;' + qName + '=' + encodeURIComponent(name);
  }
}

function setCheckAll() {
  for (i = 0; i < document.multiSelect.elements.length; i++) { 
    e = document.multiSelect.elements[i];
    if ( (e.name != 'selectAll') && (e.type=='checkbox') && (!e.disabled) ) {
      e.checked = document.multiSelect.selectAll.checked;
    }
  }
}

function isAnyChecked() {
  for (i = 0; i < document.multiSelect.elements.length; i++) { 
    e = document.multiSelect.elements[i];
    if ( (e.name != 'selectAll') && (e.type=='checkbox') && (!e.disabled) ) {
      if (e.checked) return true;
    }
  }
}

function setFileNamesValue() {
  document.multiSelect.fileNames.value = '';
  for (i = 0; i < document.multiSelect.elements.length; i++) { 
    e = document.multiSelect.elements[i];
    if ( (e.name != 'selectAll') && (e.type=='checkbox') && (!e.disabled) && (e.checked) ) {
      document.multiSelect.fileNames.value = document.multiSelect.fileNames.value + e.name + ':';
    }
  }
}

var request;    // request object
var request_prog;    // request object 
var request_batt;    // request object  
var request_wifi;    // request object
var request_size;    // request object
var progIntervalID; // interval ID
var battIntervalID; // interval ID
var wifiIntervalID; // interval ID
  
function pollingProgressStart(req) {progIntervalID = window.setInterval('sendProgressRequest(\'' + req + '\')', 1500);setProgress(0);}   
function pollingProgressStop()  {window.clearInterval(progIntervalID)}   

function pollingBattStart(req) {battIntervalID = window.setInterval('sendBattRemainingRequest(\'' + req + '\')', 30000);}   
function pollingBattStop()  {window.clearInterval(battIntervalID)}

function pollingWiFiStart(req) {wifiIntervalID = window.setInterval('sendWiFiSignalStrengthRequest(\'' + req + '\')', 5000);}   
function pollingWiFiStop()  {window.clearInterval(wifiIntervalID)}


//create request object   
window.onload = function (){     
  request = initXMLHttpClient();
  request_prog = initXMLHttpClient();
  request_batt = initXMLHttpClient();
  request_wifi = initXMLHttpClient();
  request_size = initXMLHttpClient();
  request_scan = initXMLHttpClient();
  sendBattRemainingRequest('x99_dooblou_batt_remaining.xml')
  pollingBattStart('x99_dooblou_batt_remaining.xml'); 
  pollingWiFiStart('x99_dooblou_wifi_signal_strength.xml');
} 

//window.onbeforeunload = function (){     
  pollingBattStop(); 
//}  

// create an XMLHttpClient in a cross-browser manner   
function initXMLHttpClient(){   
var xmlhttp;   
  
  try {xmlhttp=new XMLHttpRequest()} // Mozilla/Safari/IE7 (normal browsers)   
  catch(e){                          // IE (?!)   
    var success=false;   
    var XMLHTTP_IDS=new Array('MSXML2.XMLHTTP.5.0','MSXML2.XMLHTTP.4.0',   
    'MSXML2.XMLHTTP.3.0','MSXML2.XMLHTTP','Microsoft.XMLHTTP');   
    for (var i=0; i<XMLHTTP_IDS.length && !success; i++)   
      try {success=true; xmlhttp=new ActiveXObject(XMLHTTP_IDS[i])} catch(e){}   
    if (!success) throw new Error('Unable to create XMLHttpRequest!');   
  }   
  return xmlhttp;   
}  

// send asynchronus request to the server   
function sendSimpleRequest(req){   
  request.open('GET', req, true);   
  request.send(null);
} 

// send request to the server   
function sendProgressRequest(req) {   
  try {
    request_prog.open('GET', req, false);        // open asynchronus request   
    //request_prog.onreadystatechange = request_handler;          // set request handler   
    request_prog.send(null);                                    // send request
    if (request_prog.readyState == 4) { // if state = 4 (the operation is completed)   
      if (request_prog.status == 200) { // and the HTTP status is OK   
        var level=request_prog.responseXML.getElementsByTagName('PROGRESS')[0].firstChild; 
        setProgress(level.nodeValue);
      } else { // if request status is different then 200   
      }   
    }
  } catch(e) {}
}   
  		  
function setProgress(value) {
var progImg = document.getElementById('doob_prog');

  if (progImg != null) {
    if (value < 0) {
      value = 0;
    }
    if (value >= 0) {
      progImg.style.visibility = 'visible';
    }
    if (value >= 100) {
      pollingProgressStop();
      value = 100;
    }
    progImg.style.backgroundPosition = '-' + ((246/2)/100)*(100-value) + 'px 0pt';
    progImg.title = value + '%';
  }
}

// send request to the server   
function sendBattRemainingRequest(req) {   
  try {
    request_batt.open('GET', req, true);        // open asynchronus request   
    request_batt.onreadystatechange = request_batt_handler;          // set request handler   
    request_batt.send(null);                                    // send request

  } catch(e) {}
}

function request_batt_handler() {   
  try {
    if (request_batt.readyState == 4) { // if state = 4 (the operation is completed)   
      if (request_batt.status == 200) { // and the HTTP status is OK   
        var level=request_batt.responseXML.getElementsByTagName('BATTREMAINING')[0].firstChild; 
        setBattRemaining(level.nodeValue);
      } else { // if request status is different then 200   
      }   
    }
  } catch(e) {}
}

// send request to the server   
function sendWiFiSignalStrengthRequest(req) {   
  try {
    request_wifi.open('GET', req, true);        // open asynchronus request   
    request_wifi.onreadystatechange = request_wifi_handler;          // set request handler   
    request_wifi.send(null);                                    // send request
  } catch(e) {}
}

function request_wifi_handler() {   
  try {
    if (request_wifi.readyState == 4) { // if state = 4 (the operation is completed)   
      if (request_wifi.status == 200) { // and the HTTP status is OK   
        var level=request_wifi.responseXML.getElementsByTagName('WIFISIGNALSTRENTH')[0].firstChild; 
        setWiFiSignalStrength(level.nodeValue);
      } else { // if request status is different then 200   
      }   
    }
  } catch(e) {}
}

function setBattRemaining(value) {
var battReminingDiv = document.getElementById('doob_batt_remaining');
var battImg = document.getElementById('doob_batt');

  if (battReminingDiv != null) {
    battReminingDiv.innerHTML = value + '%';
  }
  
  if (battImg != null) {
    if (value < 0) {
      value = 0;
    }
    if (value >= 100) {
      value = 100;
    }
    battImg.style.backgroundPosition = '-' + ((246/2)/100)*(100-value) + 'px 0pt';
    battImg.title = value + '%';
  } 
}

function setWiFiSignalStrength(value) {
var wifiStrengthDiv = document.getElementById('doob_wifi_strength');
var wifiImg = document.getElementById('doob_wifi');

  if (wifiStrengthDiv != null) {
    wifiStrengthDiv.innerHTML = value + '%';
  }
  
  if (wifiImg != null) {
    if (value < 0) {
      value = 0;
    }
    if (value >= 100) {
      value = 100;
    }
    wifiImg.style.backgroundPosition = '-' + ((246/2)/100)*(100-value) + 'px 0pt';
    wifiImg.title = value + '%';
  } 
}

// send request to the server   
function sendDirectorySizeRequest(req) {   
  try {
    request_size.open('GET', req, true);        // open asynchronus request   
    request_size.onreadystatechange = request_size_handler;          // set request handler   
    request_size.send(null);                                    // send request

  } catch(e) {}
}

function request_size_handler() {   
  try {
    if (request_size.readyState == 4) { // if state = 4 (the operation is completed)   
      if (request_size.status == 200) { // and the HTTP status is OK   
        var size=request_size.responseXML.getElementsByTagName('SIZE')[0].firstChild; 
        alert(size.nodeValue);
      } else { // if request status is different then 200   
      }   
    }
  } catch(e) {}
}

// send request to the server   
function sendRescanMediaRequest(req) {   
  try {
    request_scan.open('GET', req, true);        // open asynchronus request   
    request_scan.onreadystatechange = request_scan_handler;          // set request handler   
    request_scan.send(null);                                    // send request

  } catch(e) {}
}

function request_scan_handler() {   
  try {
    if (request_scan.readyState == 4) { // if state = 4 (the operation is completed)   
      if (request_scan.status == 200) { // and the HTTP status is OK   
        var status=request_scan.responseXML.getElementsByTagName('STATUS')[0].firstChild; 
        alert(status.nodeValue);
      } else { // if request status is different then 200   
      }   
    }
  } catch(e) {}
}